nanoCAD Lisp 色々遊んで見る(初心者)

nanoCADには、AutoCADのようにLispが使えます。まだ、どうやって使うのかわかりませんがいろいろ試してみたいと思います。

nanoCAD無料版のダウンロード先:

広告

Lisp コマンドライン

(1)lsp と入れる lispからiを除くこと

(2)cと入力(command)

コマンドラインの文字を大きく

「Tools」>「Options」>「Command line」>「FontHeight」を大きく

広告

簡単計算 (+ 100 3)

Lispの特徴は()で囲むこと、他の言語と違い+を最初に書きます。

割り算 / 小数点以下まで表示したいとき (/ 3 2.) ピリオドつける

余り:remainder > rem
(rem 9 5)

Lispファイル

拡張子は「lsp」でいいみたいです。

(defun c:test() ) ;c=command?   ;コメント

c:testだとコマンドラインに「test」と打ち込むとファイルの内容実行します。

変数

(setq x 10) 普通の言語だと x=10  setq = set equalかな
確認はxとキー入力すればOK

動画

Like 雪の結晶(米)

(defun c:ss()
	(setq i 0)

	(repeat 5
		(setq xs (getpoint "pos:"))
		(setq x2 (car xs))
		(setq y2 (cadr xs))

		(repeat 6
			(setq R (Deg2Rad (* 60 i)))
			(setq xe (list (+ x2 (* (cos R) 50)) (+ y2 (* (sin R) 50)) 0)) 
			;; 最後の0大事みたい
			(command "line" xs xe "")
			(setq i (+ i 1))
		)
	)
)

(defun Deg2Rad (d) (/ (* d pi) 180.0))

矩形を同心で描く

(defun c:qq()
	(repeat 5
		(setq xs (getpoint "pos:"))
		(setq x (car xs))
		(setq y (cadr xs))
		
		(setq a 50)
		(setq b (* a -1))

		(repeat  15
			(setq x1 (list (+ a x) (+ a y) 0))
			(setq x2 (list (+ a x) (+ b y) 0))
			(setq x3 (list (+ b x) (+ b y) 0))
			(setq x4 (list (+ b x) (+ a y) 0))
			
			(command "line" x1 x2 x3 x4 x1 c) 
			
			(setq a (+ a 10))
			(setq b (* a -1))
		)
	)
)

Line連続線、終了するためには「c」

(command “line” 点1,点2,点3,点4,点1,c)  ;cで線コマンド終了

nanoCAD
広告
samをフォローする
らくらくCAD

コメント

タイトルとURLをコピーしました